:root {
  --color-bg-navbar: #000000;
  --color-text-navbar: #ffffff;
  --color-link-text: #1338ad;
  --color-bg-login: #192A5F;;
  --color-border-navbar: #f0f0f0;
  --color-banner-description: #666666;
  --color-border-header: #192A5F;
  --color-facebook-icon: #89abfc;
  --color-mail: #efab68;
  --color-link: #66bbbf;
  --color-print: #4082f1;
  --color-aside-separator: #ededed;
  --color-twitter-bg: #00151c;
  --color-inputs-label: #757575;
  --color-popular-bg: #000000;
  --color-figures-bg: #2958ea;
  --color-popular-border: #171717;
  --color-popular-links: #bbbbbb;
  --color-description-aside: #dddddd;
  --color-links-online: #192A5F;
  --color-subtitle-online: #777777;
  --color-search-bg: #d0d7ef;
  --color-btn-border: #1485ff;
  --color-option1-bg: #d0d7ef;
  --color-option2-bg: #e3f8ff;
  --color-option3-bg: #ced1dc;
  --color-option4-bg: #fff8d4;
  --color-label-text: #757575;
  --color-input-bg: #f7f7f7;
  --color-printerest-bg: #f74c53;
  --color-instagram-bg: #7e40b6;
  --color-dot-nav: #1485ff;
  --color-border-carousel: #e6e6e6;
  --color-border-guide: #d1d1d1;
  --color-youtube-bg: red;
}

/* fonts */
.titillium-web-extralight {
  font-family: "Titillium Web", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.titillium-web-light {
  font-family: "Titillium Web", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.titillium-web-regular {
  font-family: "Titillium Web", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.manrope-letter {
  font-family: "Manrope", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
}

.oswald-letter {
  font-family: "Oswald", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
}

.merriweather-light {
  font-family: "Merriweather", serif;
  font-weight: 300;
  font-style: normal;
}

.merriweather-regular {
  font-family: "Merriweather", serif;
  font-weight: 400;
  font-style: normal;
}

.source-sans-3-normal {
  font-family: "Source Sans 3", sans-serif;
  font-optical-sizing: auto;
  font-weight: 200;
  font-style: normal;
}

.outfit-normal {
  font-family: "Outfit", sans-serif;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style: normal;
}

/* Estilos generales */

html {
  font-size: 10px;
  overflow-x: hidden;
}

body {
  width: 100%;
  height: 100%;
  font-size: 1.6rem;
  font-family: "Roboto Condensed";
  line-height: 1.5;
  font-weight: 400;
  color: var(--color-text-body);
}

.separator {
  margin-left: 0.5rem;
  width: 11rem;
  height: 0.2rem;
  margin-top: 2rem;
  margin-bottom: 2rem;
  background: var(--color-bg-navbar);
}

/* Navbar */

.advertise__container {
  margin: 0;
}
.navbar__advertise {
  padding: 0;
}

.menu__navbar {
  height: 3.4rem;
  padding-top: 0.5rem;
  background-color: var(--color-bg-navbar);
  color: var(--color-text-navbar);
}

.header__date {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.header__info {
  padding-left: 3rem;
}

.header__weather {
  padding-right: 4rem;
}

.weather__img {
  width: 2.5rem;
  height: 2rem;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
}

.navbar__container {
  margin: 0;
}

.nav__list {
  display: flex;
  flex-direction: row;
}
.nav__logoo {
  padding-top: 1rem;
}
.nav__img {
  width: 13.3rem;
  height: 2.8rem;
}

.layout__menu {
  border-bottom: 1px solid var(--color-border-navbar);
}

.nav__item {
  display: flex;
  width: auto;
}

.nav__right {
  padding-right: 3rem;
}

.nav__menu-bg {
  background-color: var(--color-text-navbar);
}
.nav__title {
  font-family: "Titillium Web", sans-serif;
  font-size: 1.2rem;
  font-weight: 600;
  text-transform: uppercase;
}
.nav__icon,
.fa-solid {
  width: 1.3rem;
  height: 1.9rem;
  padding-right: 0.5rem;
  padding-left: 0.5rem;
  font-size: 1rem;
}

.nav__links {
  align-items: center;
}

.links__live {
  padding-top: 1.5rem;
}

.live__title {
  display: flex;
  flex-direction: row;
  font-family: "Titillium Web", sans-serif;
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--color-link-text);
}

.icon__TV {
  padding-top: 0.2rem;
  padding-right: 2.2rem;
  font-size: 1.4rem;
}

.links__session {
  width: 10rem;
  height: 3rem;
  margin-left: 1.4rem;
  margin-top: 0.8rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--color-bg-login);
  transition: all 300ms ease-in-out;
}

.links__session:hover {
  border: 1px solid var(--color-bg-login);
  background-color: var(--color-text-navbar);
}

.session__btn {
  font-family: "Titillium Web", sans-serif;
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
  color: var(--color-text-navbar);
}

.links__socials {
  display: flex;
  justify-content: flex-end;
  margin-left: 1.8rem;
}
.socials__title {
  font-family: "Manrope", sans-serif;
  font-size: 1.2rem;
  padding-top: 1.2rem;
  font-weight: bold;
  text-decoration: underline;
}

.icon__socials-nav {
  padding: 0 0.4rem;
  padding-top: 1.2rem;
  font-size: 1.8rem;
}

.fa__icon-navbar {
  transition: all 300ms ease-in-out;
}

.fa__icon-navbar:hover {
  color: var(--color-facebook-icon);
}

.twitter__icon-navbar {
  transition: all 300ms ease-in-out;
}

.twitter__icon-navbar:hover {
  color: var(--color-link-text);
}

.instagram__icon-navbar {
  transition: all 300ms ease-in-out;
}

.instagram__icon-navbar:hover {
  color: var(--color-instagram-bg);
}

.youtube__icon-navbar {
  transition: all 300ms ease-in-out;
}

.youtube__icon-navbar:hover {
  color: var(--color-youtube-bg);
}

.threads__icon-navbar {
  transition: all 300ms ease-in-out;
}

.threads__icon-navbar:hover {
  color: var(--color-mail);
}

.nav__session-toogler {
  display: none;
  padding: 0;
  padding-right: 10rem;
}

.toogler-item .live__title {
  padding-top: 0.2rem;
  padding-right: 2rem;
}

/* Layout Subnav */

.subnav__menu {
  top: 30rem;
  right: 4rem;
}

.subnav__item {
  z-index: 10;
  overflow: hidden;
  width: 5.8rem;
  height: 5.8rem;
  border-radius: 1rem;
  text-align: center;
  background-color: var(--color-text-navbar);
  -webkit-box-shadow: 3px 3px 21px -1px rgba(0, 0, 0, 0.21);
  -moz-box-shadow: 3px 3px 21px -1px rgba(0, 0, 0, 0.21);
  box-shadow: 3px 3px 21px -1px rgba(0, 0, 0, 0.21);
  transition: all 300ms ease-in-out;
}

.subnav__item:hover {
  transform: scale(1.1);
}

.subnav__tv {
  transition: all 300ms ease-in-out;
}

.subnav__tv:hover {
  background-color: var(--color-facebook-icon);
}

.subnav__search {
  transition: all 300ms ease-in-out;
}

.subnav__search:hover {
  background-color: var(--color-mail);
}

.subnav__complaint {
  transition: all 300ms ease-in-out;
}

.subnav__complaint:hover {
  background-color: var(--color-youtube-bg);
}

.subnav__link {
  color: var(--color-link-text);
  transition: all 300ms ease-in-out;
}

.subnav__link:hover {
  color: var(--color-text-navbar);
}

.icon__subnav {
  padding-right: 2.5rem;
  padding-top: 1.5rem;
  font-size: 1.6rem;
}

.subnav__title {
  padding-bottom: 1rem;
  font-size: 1rem;
  text-transform: uppercase;
  font-weight: bold;
}

/* Layout Bottom nav */

.layout__bottom-nav {
  display: none;
  z-index: 2;
  height: 5rem;
  bottom: 0;
  background-color: var(--color-border-navbar);
}

.nav__bottom-item {
  padding-top: 0.5rem;
  border-right: 1px solid var(--color-description-aside);
}

.nav__bottom-item:last-child {
  border: none;
}

.live__nav {
  transition: all 300ms ease-in-out;
}

.live__nav:hover {
  background-color: var(--color-facebook-icon);
}

.search__nav {
  transition: all 300ms ease-in-out;
}

.search__nav:hover {
  background-color: var(--color-bg-login);
}

.complaint__nav {
  transition: all 300ms ease-in-out;
}

.complaint__nav:hover {
  background-color: var(--color-youtube-bg);
}

.bottom__link {
  color: var(--color-link-text);
  transition: all 300ms ease-in-out;
}

.bottom__link:hover {
  color: var(--color-text-navbar);
}

.icon__bottom-nav {
  padding-right: 2rem;
  font-size: 1.8rem;
}

/* Banner */

.layout__banner {
  padding-top: 8rem;
}

/* Header */

.layout__header {
  padding-top: 4rem;
}

.header__title {
  font-size: 3.2rem;
  font-weight: bold;
}

.header__description {
  padding-top: 2rem;
  font-size: 1.6rem;
}

/* Form */

.layout__form {
  padding-top: 1rem;
}

.glass__icon {
  z-index: 2;
  font-size: 2rem;
  top: 2.3rem;
  left: 1.3rem;
}

.input__search {
  width: 55rem;
  height: 6.719rem;
}

.input__item {
  font-family: "Merriweather", serif;
  font-size: 1.6rem;
  border: none;
  background-color: var(--color-input-bg);
}

.input__item::placeholder {
  padding-left: 5rem;
}

.search__button {
  padding-right: 1rem;
  font-family: "Titillium Web", sans-serif;
  font-size: 1.2rem;
  color: var(--color-bg-navbar);
  font-weight: bold;
  border: none;
  background-color: var(--color-input-bg);
}

.search__button:hover {
  background-color: var(--color-dot-nav);
  color: var(--color-border-navbar);
}

.search__button::after {
  content: "";
  position: absolute;
  top: 2.4rem;
  left: -1rem;
  width: 0.2rem;
  height: 1.9rem;
  background-color: var(--color-btn-border);
}

.exit__box {
  padding-top: 4rem;
}

.button__exit {
  width: 18.7rem;
  height: 4rem;
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--color-bg-navbar);
  background-color: var(--color-input-bg);
  transition: all 300ms ease-in-out;
}

.button__exit:hover {
  color: var(--color-border-navbar);
  background-color: var(--color-links-online);
}

/* Footer */

.layout__footer {
  margin-top: 5rem;
  background-color: var(--color-border-header);
  color: var(--color-text-navbar);
}

.footer__company {
  padding-top: 5.6rem;
  padding-left: 6rem;
}

.company__description {
  padding-top: 1rem;
  font-size: 1.3rem;
  font-family: "Merriweather", serif;
}

.footer__links {
  margin-top: 4rem;
}

.category__border {
  width: 20.2rem;
  padding-top: 0.5rem;
  border-bottom: 2px solid var(--color-bg-login);
}

.link__subheader {
  width: 12rem;
  text-align: center;
  font-size: 1.5rem;
  font-family: "Titillium Web", sans-serif;
  color: var(--color-border-header);
  background-color: var(--color-bg-login);
  border-top: 0;
  clip-path: polygon(85% 0, 100% 32%, 100% 100%, 0 100%, 0 0);
}

.categories__link {
  padding: 0;
  padding-top: 1.5rem;
  text-transform: uppercase;
}

.link__title {
  font-size: 1.1rem;
  font-family: "Titillium Web", sans-serif;
}

.link__title:hover {
  color: var(--color-bg-login);
}

.footer__quick-access {
  margin-left: 2rem;
}

.quick-access__link {
  padding: 0;
  padding-top: 1.5rem;
  text-transform: uppercase;
}

.copyright__description {
  padding-top: 5.6rem;
  font-size: 1.1rem;
  font-family: "Merriweather", serif;
  text-align: center;
}

.up__button {
  padding-right: 3rem;
  padding-top: 5rem;
}
